SET time_zone = "+00:00";
CREATE TABLE `%db%`.`%prefix%_config`( `ID` int NOT NULL, `Name` varchar(10) NOT NULL, `Value` varchar(100) NOT NULL) ENGINE=InnoDB DEFAULT CHARSET=utf8; 
ALTER TABLE `%db%`.`%prefix%_config` ADD PRIMARY KEY (`ID`); 
ALTER TABLE `%db%`.`%prefix%_config` MODIFY `ID` int NOT NULL AUTO_INCREMENT; 
CREATE TABLE `%db%`.`%prefix%_login` ( `ID` int NOT NULL, `User` varchar(50) NOT NULL, `Code` varchar(150) NOT NULL, `CreatedAtUTC` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP, `ForContinue` int NOT NULL DEFAULT '0' ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci; 
ALTER TABLE `%db%`.`%prefix%_login` ADD PRIMARY KEY (`ID`); 
ALTER TABLE `%db%`.`%prefix%_login` MODIFY `ID` int NOT NULL AUTO_INCREMENT; 
CREATE TABLE `%db%`.`%prefix%_kukai` ( `ID` int NOT NULL, `CreatedUTC` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP, `User` varchar(50) NOT NULL, `Name` varchar(50) NOT NULL, `Deadline` varchar(25) DEFAULT NULL, `PDF` int NOT NULL DEFAULT '0', `Notice` int NOT NULL DEFAULT '0', `OnSen` int NOT NULL DEFAULT '0', `OnSenResult` int DEFAULT '0', `OnSenComment` varchar(140) DEFAULT NULL, `IsKusaku` int DEFAULT '0' ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci; 
ALTER TABLE `%db%`.`%prefix%_kukai` ADD PRIMARY KEY (`ID`); 
ALTER TABLE `%db%`.`%prefix%_kukai` MODIFY `ID` int NOT NULL AUTO_INCREMENT; 
CREATE TABLE `%db%`.`%prefix%_haiku` ( `ID` int NOT NULL, `User` varchar(50) NOT NULL, `Haiku` varchar(50) NOT NULL, `Kukai` int NOT NULL, `Code` varchar(5) NOT NULL, `Available` int NOT NULL DEFAULT '1', `NotConfirmed` int NOT NULL DEFAULT '0' ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci; 
ALTER TABLE `%db%`.`%prefix%_haiku` ADD PRIMARY KEY (`ID`); 
ALTER TABLE `%db%`.`%prefix%_haiku` MODIFY `ID` int NOT NULL AUTO_INCREMENT; 
CREATE TABLE `%db%`.`%prefix%_name` ( `ID` int NOT NULL, `User` varchar(50) NOT NULL, `Name` varchar(50) NOT NULL, `Admin` int DEFAULT NULL, `Dev` int DEFAULT NULL, `Kukai` int DEFAULT NULL, `Status` varchar(30) NOT NULL, `IsLINE` int NOT NULL DEFAULT '1', `ContinueCode` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci; 
ALTER TABLE `%db%`.`%prefix%_name` ADD PRIMARY KEY (`ID`); 
ALTER TABLE `%db%`.`%prefix%_name` MODIFY `ID` int NOT NULL AUTO_INCREMENT; 
CREATE TABLE `%db%`.`%prefix%_notf` ( `ID` int NOT NULL, `User` varchar(100) NOT NULL, `Token` varchar(100) NOT NULL, `NewKukaiNotf` int NOT NULL DEFAULT '0', `KukaiEndNotf` int NOT NULL DEFAULT '0', `OneDayNotf` int NOT NULL DEFAULT '0', `TenMinsNotf` int NOT NULL DEFAULT '0' ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci; 
ALTER TABLE `%db%`.`%prefix%_notf` ADD PRIMARY KEY (`ID`); 
ALTER TABLE `%db%`.`%prefix%_notf` MODIFY `ID` int NOT NULL AUTO_INCREMENT; 
CREATE TABLE `%db%`.`%prefix%_sen` ( `ID` int NOT NULL, `Kukai` int NOT NULL, `Haiku` varchar(8) NOT NULL, `Point` int NOT NULL DEFAULT '0', `Comment` text, `Creator` varchar(100) NOT NULL ) ENGINE=InnoDB DEFAULT CHARSET=utf8; 
ALTER TABLE `%db%`.`%prefix%_sen` ADD PRIMARY KEY (`ID`); 
ALTER TABLE `%db%`.`%prefix%_sen` MODIFY `ID` int NOT NULL AUTO_INCREMENT;
CREATE TABLE `%db%`.`%prefix%_kusaku` (`ID` int NOT NULL,`User` varchar(100) NOT NULL,`CreatedAt` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,`Solo` int NOT NULL,`Room` varchar(10) NOT NULL,`Haiku` varchar(100) NOT NULL) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
ALTER TABLE `%db%`.`%prefix%_kusaku` MODIFY `ID` int NOT NULL AUTO_INCREMENT;
CREATE TABLE `%db%`.`%prefix%_room` (`ID` int NOT NULL,`Code` varchar(10) NOT NULL,`User` varchar(100) NOT NULL,`Name` varchar(100) NOT NULL,`Member` int NOT NULL DEFAULT '1',`NowSet` int NOT NULL DEFAULT '0',`Set` int NOT NULL,`Time` int NOT NULL,`Odai` varchar(5) NOT NULL,`CreatedAt` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP, `Stage` int NOT NULL DEFAULT '1',`Kukai` int DEFAULT NULL) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
ALTER TABLE `%db%`.`%prefix%_room` MODIFY `ID` int NOT NULL AUTO_INCREMENT;